package de.oaa.xxx.games.common.repository;

import org.springframework.data.jpa.repository.JpaRepository;

import de.oaa.xxx.games.common.entity.FavoritEntity;

import java.util.List;
import java.util.UUID;

public interface FavoritRepository extends JpaRepository<FavoritEntity, UUID> {

    List<FavoritEntity> findByUserId(UUID userId);

    List<FavoritEntity> findByUserIdAndAufgabenGruppeId(UUID userId, UUID aufgabenGruppeId);

    void deleteByAufgabenGruppeId(UUID aufgabenGruppeId);
}
